calscco {compas} | R Documentation

## Calculate Cartesian coordinates of side chains

### Description

Rotates the free side chain dihedral angles of an amino acid to the specified values. Calculates the updated Cartesian coordinates of all the atoms of that amino acid side chain.

### Usage

    calscco(pdb, resno, chi)

### Arguments

`pdb` | A PDB object
`resno` | The residue number of the amino acid side chain to rotate
`chi` | A vector of dihedral angles (in degrees), with length matching the number of free side chain dihedral angles for that amino acid type. See atomdeps for definitions.

### Details

Calls calCo successively for each atom in the amino acid side chain, using the bond parameters defined in atomdeps.

### Value

Returns a PDB object with updated coordinates of side chain atoms in "resno".

### Examples

    ## Position 10 of nat879 is ASP with 2 side chain dihedrals chi1 and chi2
    nat879$atom[nat879$atom$resno==10,]
    pdbn <- calscco(nat879,10,c(60.0,-80.0))
    pdbn$atom[pdbn$atom$resno==10,]

[Package compas version 0.1 Index]